Shorter Loop API Documentation
API References
Release NotesHelp CenterKnowledge Base
API References
Release NotesHelp CenterKnowledge Base
Sign In
  1. Features
  • Getting started
    • Welcome to the Shorter Loop API Portal
    • Authentication
    • Base URL
    • 2 way Jira Integration
    • Create webhook in Shorter Loop
  • Metrics
    • Create a Key Performance Indicator (KPI)
      POST
    • Update the Key Performance Indicator (KPI)
      PUT
    • Retrieve KPIs not linked to specific product backlog items
      GET
    • Insert KPI's records (Body JSON Payload)
      POST
    • Insert KPI's records (Upload CSV)
      POST
    • Insert KPI's records (Upload JSON)
      POST
  • Idea manager
    • Feedback Collection
      • Create idea and issue
      • Retrieves a list of categories
      • Modify feedback item
      • Removes a feedback item
      • Upvote or downvote a work item
      • Retrieve a feedback item
      • Get comments for a feedback item.
      • Reply to a comment
      • Modify a comment
      • Bulk create feedback items: CSV and JSON
    • Segments
      • Retrieves a list of segments without users
      • Create segment
      • Modify a segment
      • Removes a segment
      • Bulk create users to a segment
      • Manage user segments: move or remove
      • Retrieve segments with users
      • Retrieve segment with users
      • Import Users (CSV/JSON)
      • Sending email to segment members
      • Sending email to selected idm members
    • Bulk create idea manager members
      POST
    • Import Users (CSV/JSON) in IDM
      POST
    • Bulk re-invite in IDM
      PUT
  • Backlog Management
    • Epics
      • Create a new epic
      • Modify an epic
      • Retrieve details of the epic
      • Removes the epic
    • Features
      • Create a new feature
        POST
      • Modify a feature
        PUT
      • Retrieve details of the feature
        GET
      • Removes the feature
        DELETE
    • User stories
      • Create a new user story
      • Modify a user story
      • Retrieve user story
      • Removes the user story
    • Assets
      • Attaches files to the workitem
      • Removes an asset
      • Retrieve attachments for the backlog workitem with ID
    • Product Tags
      • Retrieves tags for initiative
    • Teams
      • Get teams and members for product
    • Personas
      • Retrieve personas associated with initiative
    • Get whole backlog tree
      GET
  • Strategy Board
    • Experiment
      • Create a new experiment variant
    • Solutions
      • Versions
        • Storymap versions api documentation
        • Create a version
        • Update version
        • Removes a version
        • Retrieve versions
      • Get all storymaps for solution
  • Persona Board V2
    • Segments
      • Permanently deletes a segment
      • Creates a new option
      • Retrieve a list of segments
      • Retrieve a segment
      • Create a segment
      • Removes a segment
      • Removes a segment option
      • Detaches a segment from the persona
      • Update segment option
    • Custom fields
      • Removes a custom field
      • Retrieve a list of custom fields
      • Retrieve a custom field
      • Create a custom field
      • Removes a custom field option
      • Detaches a custom field from persona
      • Retrieve custom fields excluding persona
      • Creates a new option
      • Permanently deletes a custom field
      • Update custom field
      • Update custom field option
      • Attach a custom field to a persona
    • Create opportunities from summary
    • Retrieve notes
    • Retrieve persona
    • Retrieve experiments for Persona
    • Create
    • Retrieve
  • DocsHub
    • Retrieve categories with templates
    • Retrieve a template based on category
    • Create copy of template while using template
  • Schemas
    • kpi_revisions
    • kpis
  1. Features

Retrieve details of the feature

GET
/api/initiatives/SHO-MJXR/features/FE-75
The GET /api/initiatives/SHO-MJXR/features/FE-75 endpoint retrieves detailed information about the feature identified by FE-75 within the initiative identified by SHO-MJXR.
Notes:
Ensure that a valid authentication token is provided in the request headers.
Ensure that you provide right feature external key

Request

Header Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.shorterloop.com/api/initiatives/SHO-MJXR/features/FE-75' \
--header 'x-api-key: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6MjA3NSwiZmlyc3ROYW1lIjoiZGVlcGlrYSIsImxhc3ROYW1lIjpudWxsLCJ1c2VyRXhwZXJpZW5jZSI6bnVsbCwiZW1haWwiOiJkcGF0aWFsK2ppcmFAc2hvcnRlcmxvb3AuY29tIiwiZGlzcGxheU5hbWUiOiJkZWVwaWthIiwicHJvZmlsZUltYWdlIjoiMTM3OC9nZW5lcmFsL3VzZXJzL0lJM0YyMDc1YzZhNS5zdmciLCJ0aW1lWm9uZUFiYnIiOm51bGwsInN0YXR1cyI6ImFjdGl2ZSIsInByb3ZpZGVyIjoiY3VzdG9tIiwidGVybXNBY2NlcHRlZCI6MSwibGFzdFBhZ2UiOiIvQ09OT1AvcHJvZHVjdC9ERUUvZG9jdW1lbnRhdGlvbi91bnRpdGxlZC02LTY0ZjQiLCJ2ZXJpZmljYXRpb25Ub2tlbiI6IiIsImxhc3RTaWduSW4iOiIyMDI1LTA0LTAxVDE0OjMwOjIwLjAwMFoiLCJyb2xlIjoic3VwZXJhZG1pbiIsImlzUHJvZGVhc3lBZG1pbiI6MCwiZ3JvdXAiOjEsInJlZmVycmVyIjpudWxsLCJpc1ZlcmlmaWVkIjoxLCJyZWZlcnJlclRva2VuIjpudWxsLCJyZWZyZXNoUmVmZXJyZXJUb2tlbiI6bnVsbCwiYmlvIjpudWxsLCJjcmVhdGVkQXQiOiIyMDI1LTAzLTE3VDA5OjM2OjU2LjAwMFoiLCJ1cGRhdGVkQXQiOiIyMDI1LTA0LTAxVDE0OjMwOjIwLjAwMFoiLCJzdWJzY3JpcHRpb24iOnsidXNlclJvbGUiOiJzdXBlcmFkbWluIiwic3Vic2NyaXB0aW9uRXh0ZXJuYWxLZXkiOiJDT05PUCIsImV4dGVybmFsS2V5IjoiQ09OT1AiLCJjbmFtZSI6bnVsbCwiaWQiOjEzNzh9LCJzdWJzY3JpcHRpb25JZCI6MTM3OCwiZXh0ZXJuYWxLZXkiOiJDT05PUCIsInN1YnNjcmlwdGlvbkV4dGVybmFsS2V5IjoiQ09OT1AiLCJ0aW1lIjoiMjAyNS0wNC0wMlQwNTo0Mzo1NC41MDRaIiwiaWF0IjoxNzQzNTcyNjM0LCJleHAiOjE3NDM4MzE4MzR9.UJaUHpd_XJyGSv4C0DaaEVxDDQKzKZ_lKPkf8Yrr-Oc' \
--header 'Content-Type: application/json'
Response Response Example
{
    "success": true,
    "data": {
        "persona": [
            {
                "personaValue": "Product Owners (Execution Oriented)",
                "personaId": 998
            },
            {
                "personaValue": "UX Researchers",
                "personaId": 999
            }
        ],
        "urls": [
            {
                "url": "https://example.com"
            }
        ],
        "id": 1643,
        "summary": "User Engagement Dashboard.",
        "description": "<p>Develop a dashboard to track user retention metrics, including active users, retention rates, and engagement trends over time.</p>",
        "externalKey": "FE-75",
        "color": "#4784fc",
        "estimate": "60",
        "businessValue": "80",
        "score": "1.3333333333333333",
        "epicId": 0,
        "order": null,
        "progress": "to-do",
        "jiraId": "",
        "jiraKey": "",
        "jiraSelf": null,
        "teamId": null,
        "businessGoal": "Improve insights into user behavior to enhance retention strategies and user satisfaction.",
        "tags": "[\"engagement\",\"Product management\"]",
        "userId": "[17355]",
        "startDate": "2024-07-12T18:30:00.000Z",
        "endDate": "2024-07-18T18:30:00.000Z",
        "externalProgress": "",
        "epic_detail": null,
        "user": null,
        "kpis": [],
        "progressPercentage": 0,
        "userStories": []
    }
}
Modified at 2024-07-15 04:49:28
Previous
Modify a feature
Next
Removes the feature
Built with